<?php
	require_once("conexion.php");

	function listaUsuariosPorTipoDestacado($tipo,$estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select US.foto,US.nombre,US.usuario,US.direccion,PR.nombre As provincia,
												CI.nombre As ciudad,US.telefono,US.web,US.descripcion,TU.nombre As tipo
										From `usuarios` US
										Inner Join `provincia` PR On (US.provincia=PR.id)
										Inner Join `ciudad` CI On (US.ciudad=CI.id)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where TU.nombre=:TIPO And US.estado=:EST And US.membresia='1'
										Order By RAND();");
			$consulta->bindValue(':TIPO',$tipo);
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listaUsuariosPorTipoNoDestacado($tipo,$estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select US.foto,US.nombre,US.usuario,US.direccion,PR.nombre As provincia,
												CI.nombre As ciudad,US.telefono,US.web,US.descripcion,TU.nombre As tipo
										From `usuarios` US
										Inner Join `provincia` PR On (US.provincia=PR.id)
										Inner Join `ciudad` CI On (US.ciudad=CI.id)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where TU.nombre=:TIPO And US.estado=:EST And US.membresia<>'1'
										Order By RAND();");
			$consulta->bindValue(':TIPO',$tipo);
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select US.nombre,US.usuario,US.email,US.telefono,US.celular,US.fax,US.direccion,
										PR.nombre As provincia,CI.nombre As ciudad,foto,facebook,fecha,web,comercial,descripcion
										From `usuarios` US
										Inner Join `provincia` PR On (US.provincia=PR.id)
										Inner Join `ciudad` CI On (US.ciudad=CI.id)
										Where usuario=:USER;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeTresAnunciosUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select *
										From `anuncios`
										Where usuario=:USER And estado='1' And checked='1'
										Order By fecha DESC
										Limit 0,3;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listaAnunciosRecientes(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select AN.*
										From `anuncios` AN
										Inner Join `usuarios` US On (AN.usuario=US.usuario)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where AN.estado='1' And TU.nombre<>'Administrador' And checked='1'
										Order By AN.destacado DESC,AN.fecha DESC
										Limit 0,3;");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeAnuncio($id){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select *
										From `anuncios`
										Where id=:IDEN And estado='1';");
			$consulta->bindValue(':IDEN',$id,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeEtiquetasAnuncio($id){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select PC.palabra
										From `anuncio_clave` AC
										Inner Join `palabra_clave` PC On (AC.palabra=PC.id)
										Where AC.anuncio=:IDEN And PC.estado='1';");
			$consulta->bindValue(':IDEN',$id,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listaAnuncios(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select AN.*
										From `anuncios` AN
										Inner Join `usuarios` US On (AN.usuario=US.usuario)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where AN.estado='1' And TU.nombre<>'Administrador' And AN.checked='1'
										Order By AN.destacado DESC,AN.fecha DESC;");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listaEtiquetas(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,palabra
										From `palabra_clave`
										Where estado='1';");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function buscaAnuncios($titulo,$descripcion,$etiquetas,$fecha){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$valores=""; $orden=""; $subconsulta="";
			if($titulo!=null) {$titulo="%".$titulo."%"; $valores=$valores."And titulo Like :TITU ";}
			if($descripcion!=null) {$descripcion="%".$descripcion."%"; $valores=$valores."And descripcion Like :DESC ";}
			if($fecha=="ASC") $orden="Order By fecha ASC";
			elseif($fecha=="DESC") $orden="Order By fecha DESC";
			if($etiquetas!=null)
				for($i=0;$i<count($etiquetas);$i++){
					$subconsulta=$subconsulta."Inner Join `anuncio_clave` AC".$i." On (AN.id=AC".$i.".anuncio)";
					$valores=$valores."And AC".$i.".palabra=:ETI".$i." ";
				}
			
			$consulta=$conexion->prepare("Select AN.*
										From `anuncios` AN
										Inner Join `usuarios` US On (AN.usuario=US.usuario)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										".$subconsulta."
										Where AN.estado='1' And TU.nombre<>'Administrador' And AN.checked='1' ".$valores."
										".$orden.";");
										
			if($titulo!=null) $consulta->bindValue(':TITU',"%".$titulo."%");
			if($descripcion!=null) $consulta->bindValue(':DESC',"%".$descripcion."%");
			if($etiquetas!=null)
				for($i=0;$i<count($etiquetas);$i++)
					$consulta->bindValue(":ETI".$i,$etiquetas[$i],PDO::PARAM_INT);
				
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarPropiedadesNoDestacadas(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,
										  titulo,descripcion,precio,foto,TV.nombre AS tipo,
										  CA.nombre As categoria,PV.id As idProv,CI.id As idCiud
										  From `propiedad` PR
										  Inner Join `categoria` CA On (PR.categoria=CA.id)
										  Inner Join `provincia` PV On (PR.provincia=PV.id)
										  Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										  Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										  Where PR.estado='1' And PR.destacada='0'
										  Order By RAND();");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarPropiedadesDestacadas(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,
										  titulo,descripcion,precio,foto,TV.nombre AS tipo,
										  CA.nombre As categoria,PV.id As idProv,CI.id As idCiud
										  From `propiedad` PR
										  Inner Join `categoria` CA On (PR.categoria=CA.id)
										  Inner Join `provincia` PV On (PR.provincia=PV.id)
										  Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										  Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										  Where PR.estado='1' And PR.destacada='1'
										  Order By RAND();");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function busquedaAvanzadaPropiedades($provincia,$ciudad,$direccion,$region,$cp,$titulo,$descripcion,$precioDesde,$precioHasta,
						   $dormitorios,$banios,$pisos,$habitaciones,$area,$tipo,$categoria,$latitud,$longitud,$construccion,
						   $estacionamiento,$aire,$balcon,$calefaccion,$seguridad,$ascensor,$escuela,$universidad,$policia,
						   $bomberos,$hospital,$aeropuerto,$metro,$autobus,$parque,$playa,$centro,$comercial,$cine,$destacada){
						   
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
		
			$valores="";
			if($provincia!=null){ $valores=$valores."And PR.provincia=:PROV "; }
			if($ciudad!=null){ $valores=$valores."And PR.ciudad=:CIUD "; }
			if($direccion!=null){ $direccion="%".$direccion."%"; $valores=$valores."And PR.direccion Like :DIRE "; }
			if($region!=null){ $region="%".$region."%"; $valores=$valores."And region Like :REGI "; }
			if($cp!=null){ $valores=$valores."And cp=:CODI "; }
			if($titulo!=null){ $titulo="%".$titulo."%"; $valores=$valores."And titulo Like :TITU "; }
			if($descripcion!=null){ $descripcion="%".$descripcion."%"; $valores=$valores."And descripcion Like :DESC "; }
			
			if($precioDesde!=null)
				if($precioHasta!=null)
					$valores=$valores."And precio Between :DPREC And :HPREC ";
				else
					$valores=$valores."And precio Between :DPREC And 9999999999999999999 ";
			else
				if($precioHasta!=null)
					$valores=$valores."And precio Between 0 And :HPREC ";
					
			if($dormitorios!=null){ $valores=$valores."And dormitorios=:DORM "; }
			if($banios!=null){ $valores=$valores."And banios=:BANI "; }
			if($pisos!=null){ $valores=$valores."And pisos=:PISO "; }
			if($habitaciones!=null){ $valores=$valores."And habitaciones=:HABI "; }
			if($area!=null){ 
				if($area=="1") $valores=$valores."And area Between 0 And 50 ";
				elseif($area=="2") $valores=$valores."And area Between 50 And 100 ";
				elseif($area=="3") $valores=$valores."And area Between 100 And 200 ";
				elseif($area=="4") $valores=$valores."And area Between 200 And 9999999999999999999 ";
			}
			if($tipo!=null){ $valores=$valores."And tipo=:TIPO "; }
			if($categoria!=null){ $valores=$valores."And categoria=:CATE "; }
			if($latitud!=null){ $valores=$valores."And latitud=:LATI "; }
			if($longitud!=null){ $valores=$valores."And longitud=:LONG "; }
			if($construccion!=null){ $valores=$valores."And construccion=:CONS "; }
			if($estacionamiento!=null){ $valores=$valores."And estacionamiento=:ESTA "; }
			if($aire!=null){ $valores=$valores."And aire=:AIRE "; }
			if($balcon!=null){ $valores=$valores."And balcon=:BALC "; }
			if($calefaccion!=null){ $valores=$valores."And calefaccion=:CALE "; }
			if($seguridad!=null){ $valores=$valores."And seguridad=:SEGU "; }
			if($ascensor!=null){ $valores=$valores."And ascensor=:ASCE "; }
			if($escuela!=null){ $valores=$valores."And escuela=:ESCU "; }
			if($universidad!=null){ $valores=$valores."And universidad=:UNIV "; }
			if($policia!=null){ $valores=$valores."And policia=:POLI "; }
			if($bomberos!=null){ $valores=$valores."And bomberos=:BOMB "; }
			if($hospital!=null){ $valores=$valores."And hospital=:HOSP "; }
			if($aeropuerto!=null){ $valores=$valores."And aeropuerto=:AERO "; }
			if($metro!=null){ $valores=$valores."And metro=:METR "; }
			if($autobus!=null){ $valores=$valores."And autobus=:AUTO "; }
			if($parque!=null){ $valores=$valores."And parque=:PARQ "; }
			if($playa!=null){ $valores=$valores."And playa=:PLAY "; }
			if($centro!=null){ $valores=$valores."And centro=:CENT "; }
			if($comercial!=null){ $valores=$valores."And comercial=:COME "; }
			if($cine!=null){ $valores=$valores."And cine=:CINE "; }
			
			if($destacada=="0") $valores=$valores."And destacada='0'";
			else $valores=$valores."And destacada='1'";
		
			$consulta=$conexion->prepare("Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,
										  titulo,descripcion,precio,foto,TV.nombre AS tipo,
										  CA.nombre As categoria,PV.id As idProv,CI.id As idCiud
										  From `propiedad` PR
										  Inner Join `categoria` CA On (PR.categoria=CA.id)
										  Inner Join `provincia` PV On (PR.provincia=PV.id)
										  Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										  Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										  Where PR.estado='1' And PR.checked='1' ".$valores.";");
			
			if($direccion!=null) $consulta->bindValue(':DIRE',$direccion);
			if($provincia!=null) $consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			if($ciudad!=null) $consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			if($titulo!=null) $consulta->bindValue(':TITU',$titulo);
			if($tipo!=null) $consulta->bindValue(':TIPO',$tipo,PDO::PARAM_INT);
			if($categoria!=null) $consulta->bindValue(':CATE',$categoria,PDO::PARAM_INT);
			if($region!=null) $consulta->bindValue(':REGI',$region);
			if($cp!=null) $consulta->bindValue(':CODI',$cp,PDO::PARAM_INT);
			if($descripcion!=null) $consulta->bindValue(':DESC',$descripcion);
			if($precioDesde!=null) $consulta->bindValue(':DPREC',$precioDesde,PDO::PARAM_INT);
			if($precioHasta!=null) $consulta->bindValue(':HPREC',$precioHasta,PDO::PARAM_INT);
			if($dormitorios!=null) $consulta->bindValue(':DORM',$dormitorios,PDO::PARAM_INT);
			if($banios!=null) $consulta->bindValue(':BANI',$banios,PDO::PARAM_INT);
			if($pisos!=null) $consulta->bindValue(':PISO',$pisos,PDO::PARAM_INT);
			if($habitaciones!=null) $consulta->bindValue(':HABI',$habitaciones,PDO::PARAM_INT);
			if($latitud!=null) $consulta->bindValue(':LATI',$latitud,PDO::PARAM_INT);
			if($longitud!=null) $consulta->bindValue(':LONG',$longitud,PDO::PARAM_INT);
			if($construccion!=null) $consulta->bindValue(':CONS',$construccion,PDO::PARAM_INT);
			if($estacionamiento!=null) $consulta->bindValue(':ESTA',$estacionamiento,PDO::PARAM_INT);
			if($aire!=null) $consulta->bindValue(':AIRE',$aire,PDO::PARAM_INT);
			if($balcon!=null) $consulta->bindValue(':BALC',$balcon,PDO::PARAM_INT);
			if($calefaccion!=null) $consulta->bindValue(':CALE',$calefaccion,PDO::PARAM_INT);
			if($seguridad!=null) $consulta->bindValue(':SEGU',$seguridad,PDO::PARAM_INT);
			if($ascensor!=null) $consulta->bindValue(':ASCE',$ascensor,PDO::PARAM_INT);
			if($escuela!=null) $consulta->bindValue(':ESCU',$escuela,PDO::PARAM_INT);
			if($universidad!=null) $consulta->bindValue(':UNIV',$universidad,PDO::PARAM_INT);
			if($policia!=null) $consulta->bindValue(':POLI',$policia,PDO::PARAM_INT);
			if($bomberos!=null) $consulta->bindValue(':BOMB',$bomberos,PDO::PARAM_INT);
			if($hospital!=null) $consulta->bindValue(':HOSP',$hospital,PDO::PARAM_INT);
			if($aeropuerto!=null) $consulta->bindValue(':AERO',$aeropuerto,PDO::PARAM_INT);
			if($metro!=null) $consulta->bindValue(':METR',$metro,PDO::PARAM_INT);
			if($autobus!=null) $consulta->bindValue(':AUTO',$autobus,PDO::PARAM_INT);
			if($parque!=null) $consulta->bindValue(':PARQ',$parque,PDO::PARAM_INT);
			if($playa!=null) $consulta->bindValue(':PLAY',$playa,PDO::PARAM_INT);
			if($centro!=null) $consulta->bindValue(':CENT',$centro,PDO::PARAM_INT);
			if($comercial!=null) $consulta->bindValue(':COME',$comercial,PDO::PARAM_INT);
			if($cine!=null) $consulta->bindValue(':CINE',$cine,PDO::PARAM_INT);
			
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarTipoVenta(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `tipo_venta` Where estado='1';");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarCategoria(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `categoria` Where estado='1';");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarProvincia(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `provincia` Where estado='1';");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarCiudad($provincia){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `ciudad` Where estado='1' And provincia=:PROV ORDER BY nombre ASC;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traePropiedad($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select PR.*,PV.nombre As nombreProv,CI.nombre As nombreCiud,
										US.usuario,US.nombre,CA.nombre As categoria,TV.nombre As tipo
										From `propiedad` PR
										Inner Join `provincia` PV On (PR.provincia=PV.id)
										Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										Inner Join `usuarios` US On (PR.usuario=US.usuario)
										Inner Join `categoria` CA On (PR.categoria=CA.id)
										Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										Where PR.estado='1' And PR.provincia=:PROV And PR.ciudad=:CIUD And PR.direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeAnuncioDeAdmin(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select AN.*
										From `anuncios` AN
										Inner Join `usuarios` US On (AN.usuario=US.usuario)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where TU.nombre='Administrador' And AN.estado='1';");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function busquedaUsuarios($provincia,$ciudad,$nombre,$descripcion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
		
			$valores="";
			if($provincia!=null) $valores=$valores."And US.provincia=:PROV ";
			if($ciudad!=null) $valores=$valores."And US.ciudad=:CIUD ";
			if($nombre!=null) {$nombre="%".$nombre."%"; $valores=$valores."And US.nombre Like :NOMB ";}
			if($descripcion!=null) {$descripcion="%".$descripcion."%"; $valores=$valores."And US.descripcion Like :DESC ";}
			
			$consulta=$conexion->prepare("Select US.foto,US.nombre,US.usuario,US.direccion,PR.nombre As provincia,
												CI.nombre As ciudad,US.telefono,US.web,US.descripcion,TU.nombre As tipo
										From `usuarios` US
										Inner Join `provincia` PR On (US.provincia=PR.id)
										Inner Join `ciudad` CI On (US.ciudad=CI.id)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where US.estado='1' ".$valores.";");
			
			if($provincia!=null) $consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			if($ciudad!=null) $consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			if($nombre!=null) $consulta->bindValue(':NOMB',$nombre);
			if($descripcion!=null) $consulta->bindValue(':DESC',$descripcion);
			
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeCuatroPropagandas(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select *
										From `propagandas`
										Where estado='1'
										Order By click DESC
										Limit 0,4;");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeFotos($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select ruta
										From `fotos_propiedad`
										Where provincia=:PROV And ciudad=:CIUD And direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeTresPropiedadesUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select provincia,ciudad,direccion,usuario,titulo,foto
										From `propiedad`
										Where usuario=:USER And checked='1'
										Order By fecha DESC
										Limit 0,3");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function buscaAnunciosPorUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select *
										From `anuncios`
										Where usuario=:USER And estado='1' And checked='1'
										Order By fecha DESC;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function buscaPropiedadesPorUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select *
										From `propiedad`
										Where usuario=:USER And estado='1' And checked='1'
										Order By fecha DESC;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerCuatroPropiedadesRecientes(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select PR.provincia As idProv,PR.ciudad As idCiud,PR.direccion,PR.foto,PR.precio,
										PV.nombre As provincia,CI.nombre As ciudad,TV.nombre As tipo,CA.nombre As categoria
										From `propiedad` PR
										Inner Join `categoria` CA On (PR.categoria=CA.id)
										Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										Inner Join `provincia` PV On (PR.provincia=PV.id)
										Where PR.estado='1' And checked='1'
										Order By PR.fecha DESC
										Limit 0,4;");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeCuatroAnunciosRecientes(){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select *
										From `anuncios`
										Where estado='1' And checked='1'
										Order By destacado DESC,fecha DESC
										Limit 0,4;");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traeAgentesUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select US.nombre As titulo,US.foto,US.usuario,TU.nombre As tipo
										From `relacion` RE
										Inner Join `usuarios` US On (RE.agente=US.usuario)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where US.estado='1' And RE.inmobiliaria=:USER And RE.checked='1';");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function buscaPropiedadesPorInmo($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("(Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,
										titulo,descripcion,precio,foto,TV.nombre AS tipo,
										CA.nombre As categoria,PV.id As idProv,CI.id As idCiud
										From `propiedad` PR
										Inner Join `categoria` CA On (PR.categoria=CA.id)
										Inner Join `provincia` PV On (PR.provincia=PV.id)
										Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										Where PR.usuario=:USER And PR.estado='1' And PR.checked='1')
										Union
										(Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,
										titulo,descripcion,precio,foto,TV.nombre AS tipo,
										CA.nombre As categoria,PV.id As idProv,CI.id As idCiud
										From `propiedad` PR
										Inner Join `categoria` CA On (PR.categoria=CA.id)
										Inner Join `provincia` PV On (PR.provincia=PV.id)
										Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										Inner Join `relacion` RE On (PR.usuario=RE.agente)
										Where RE.inmobiliaria=:USER And PR.estado='1' And PR.checked='1');");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerDuenioPropiedad($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select US.usuario,TU.nombre As tipo,US.nombre,US.telefono,US.celular,US.fax,US.facebook,US.web,PV.nombre As provincia,CI.nombre As ciudad
										From `propiedad` PR
										Inner Join `usuarios` US On (PR.usuario=US.usuario)
										Inner Join `provincia` PV On (US.provincia=PV.id)
										Inner Join `ciudad` CI On (US.ciudad=CI.id)
										Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where PR.provincia=:PROV And PR.ciudad=:CIUD And PR.direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
?>